package com.fzm.mall.server.admin.home_page.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/3/2 16:25
 * @description 商户类别
 * @since JDK 1.8
 */
public enum MerchantTypeEnum {

    PERSONAL(1),//个人
    ENTERPRISE(2);//企业

    private Integer type;

    MerchantTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(MerchantTypeEnum.values())
                .map(MerchantTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
